diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index 27843db..75c7e81 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -27,13 +27,13 @@ BOOKS=${PDF}/bookvol0.pdf ${PDF}/bookvol1.pdf ${PDF}/bookvol2.pdf \
       ${PDF}/bookvol9.pdf ${PDF}/bookvol10.pdf ${PDF}/bookvol11.pdf \
       ${PDF}/bookvol12.pdf 
 
-all: ${BOOKS} ${PDF}/toc.pdf
+all: ${PDF}/axiom.sty ${BOOKS} ${PDF}/toc.pdf
 
 @
 \section{Volume 0: Axiom Jenks and Sutor}
 This is the reconstructed Jenks and Sutor volume.
 <<*>>=
-${PDF}/bookvol0.pdf: ${IN}/bookvol0.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol0.pdf: ${IN}/bookvol0.pamphlet 
 	@echo 0 making ${PDF}/bookvol0.pdf from ${IN}/bookvol0.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol0.pamphlet ${PDF} ; \
@@ -61,7 +61,7 @@ ${PDF}/bookvol0.pdf: ${IN}/bookvol0.pamphlet ${PDF}/axiom.sty
 This is the tutorial volume. ISBN 1-411-66587-X. 
 Hardcopy is available from Amazon.com or Lulu.com.
 <<*>>=
-${PDF}/bookvol1.pdf: ${IN}/bookvol1.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol1.pdf: ${IN}/bookvol1.pamphlet 
 	@echo 1 making ${PDF}/bookvol1.pdf from ${IN}/bookvol1.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol1.pamphlet ${PDF} ; \
@@ -89,7 +89,7 @@ ${PDF}/bookvol1.pdf: ${IN}/bookvol1.pamphlet ${PDF}/axiom.sty
 This is a more detailed explanation with current information
 for Axiom users.
 <<*>>=
-${PDF}/bookvol2.pdf: ${IN}/bookvol2.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol2.pdf: ${IN}/bookvol2.pamphlet 
 	@echo 2 making ${PDF}/bookvol2.pdf from ${IN}/bookvol2.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol2.pamphlet ${PDF} ; \
@@ -116,7 +116,7 @@ ${PDF}/bookvol2.pdf: ${IN}/bookvol2.pamphlet ${PDF}/axiom.sty
 This is information about the language and algebra hierarchy
 for Spad language programmers.
 <<*>>=
-${PDF}/bookvol3.pdf: ${IN}/bookvol3.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol3.pdf: ${IN}/bookvol3.pamphlet 
 	@echo making ${PDF}/bookvol3.pdf from ${IN}/bookvol3.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol3.pamphlet ${PDF} ; \
@@ -142,7 +142,7 @@ ${PDF}/bookvol3.pdf: ${IN}/bookvol3.pamphlet ${PDF}/axiom.sty
 \section{Volume 4: Axiom Developers Guide}
 This is a collection of userful information for developers.
 <<*>>=
-${PDF}/bookvol4.pdf: ${IN}/bookvol4.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol4.pdf: ${IN}/bookvol4.pamphlet 
 	@echo making ${PDF}/bookvol4.pdf from ${IN}/bookvol4.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol4.pamphlet ${PDF} ; \
@@ -168,7 +168,7 @@ ${PDF}/bookvol4.pdf: ${IN}/bookvol4.pamphlet ${PDF}/axiom.sty
 \section{Volume 5: Axiom Interpreter}
 This is the source code and explanation for the interpreter.
 <<*>>=
-${PDF}/bookvol5.pdf: ${IN}/bookvol5.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol5.pdf: ${IN}/bookvol5.pamphlet 
 	@echo making ${PDF}/bookvol5.pdf from ${IN}/bookvol5.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol5.pamphlet ${PDF} ; \
@@ -194,7 +194,7 @@ ${PDF}/bookvol5.pdf: ${IN}/bookvol5.pamphlet ${PDF}/axiom.sty
 \section{Volume 6: Axiom Command}
 This covers the axiom commands, sman, and some other system related issues.
 <<*>>=
-${PDF}/bookvol6.pdf: ${IN}/bookvol6.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol6.pdf: ${IN}/bookvol6.pamphlet 
 	@echo making ${PDF}/bookvol6.pdf from ${IN}/bookvol6.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol6.pamphlet ${PDF} ; \
@@ -220,7 +220,7 @@ ${PDF}/bookvol6.pdf: ${IN}/bookvol6.pamphlet ${PDF}/axiom.sty
 \section{Volume 7: Axiom Hyperdoc}
 This is the source and explanation for the X11 hyperdoc subsystem
 <<*>>=
-${PDF}/bookvol7.pdf: ${IN}/bookvol7.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol7.pdf: ${IN}/bookvol7.pamphlet 
 	@echo making ${PDF}/bookvol7.pdf from ${IN}/bookvol7.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol7.pamphlet ${PDF} ; \
@@ -246,13 +246,14 @@ ${PDF}/bookvol7.pdf: ${IN}/bookvol7.pamphlet ${PDF}/axiom.sty
 \section{Volume 8: Axiom Graphics}
 This is the source and explanation for the X11 graphics subsystem
 <<*>>=
-${PDF}/bookvol8.pdf: ${IN}/bookvol8.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol8.pdf: ${IN}/bookvol8.pamphlet 
 	@echo making ${PDF}/bookvol8.pdf from ${IN}/bookvol8.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol8.pamphlet ${PDF} ; \
 	  ${WEAVE} -delay bookvol8.pamphlet >bookvol8.tex ; \
 	  if [ -z "${NOISE}" ] ; then \
 	    ${LATEX} bookvol8.tex ; \
+	    ${MAKEINDEX} bookvol8 >/dev/null ; \
 	    ${LATEX} bookvol8.tex >/dev/null ; \
 	    ${DVIPS} bookvol8.dvi 2>/dev/null ; \
 	    ${PS2PDF} bookvol8.ps >/dev/null ; \
@@ -261,6 +262,7 @@ ${PDF}/bookvol8.pdf: ${IN}/bookvol8.pamphlet ${PDF}/axiom.sty
 	  else \
 	    ${LATEX} bookvol8.tex >${TMP}/trace ; \
 	    echo ...first latex complete ; \
+	    ${MAKEINDEX} bookvol8 >${TMP}/trace ; \
 	    ${LATEX} bookvol8.tex >${TMP}/trace ; \
 	    ${DVIPS} bookvol8.dvi 2>${TMP}/trace  ; \
 	    ${PS2PDF} bookvol8.ps >${TMP}/trace  ; \
@@ -272,7 +274,7 @@ ${PDF}/bookvol8.pdf: ${IN}/bookvol8.pamphlet ${PDF}/axiom.sty
 \section{Volume 9: Axiom Compiler}
 This is the source and explanation for the spad compiler.
 <<*>>=
-${PDF}/bookvol9.pdf: ${IN}/bookvol9.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol9.pdf: ${IN}/bookvol9.pamphlet 
 	@echo making ${PDF}/bookvol9.pdf from ${IN}/bookvol9.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol9.pamphlet ${PDF} ; \
@@ -298,7 +300,7 @@ ${PDF}/bookvol9.pdf: ${IN}/bookvol9.pamphlet ${PDF}/axiom.sty
 \section{Volume 10: Axiom Algebra}
 This ia multi-volumne set covering the algebra.
 <<*>>=
-${PDF}/bookvol10.pdf: ${IN}/bookvol10.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol10.pdf: ${IN}/bookvol10.pamphlet 
 	@echo 10 making ${PDF}/bookvol10.pdf from ${IN}/bookvol10.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol10.pamphlet ${PDF} ; \
@@ -324,7 +326,7 @@ ${PDF}/bookvol10.pdf: ${IN}/bookvol10.pamphlet ${PDF}/axiom.sty
 \section{Volume 11: Axiom Browser}
 This is the source and explanation of the new Firefox browser front end.
 <<*>>=
-${PDF}/bookvol11.pdf: ${IN}/bookvol11.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol11.pdf: ${IN}/bookvol11.pamphlet 
 	@echo 11 making ${PDF}/bookvol11.pdf from ${IN}/bookvol11.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol11.pamphlet ${PDF} ; \
@@ -350,7 +352,7 @@ ${PDF}/bookvol11.pdf: ${IN}/bookvol11.pamphlet ${PDF}/axiom.sty
 \section{Volume 12: Axiom Crystal}
 This is the design documents for the crystal interface.
 <<*>>=
-${PDF}/bookvol12.pdf: ${IN}/bookvol12.pamphlet ${PDF}/axiom.sty
+${PDF}/bookvol12.pdf: ${IN}/bookvol12.pamphlet 
 	@echo 12 making ${PDF}/bookvol12.pdf from ${IN}/bookvol12.pamphlet
 	@(cd ${PDF} ; \
 	  cp ${IN}/bookvol12.pamphlet ${PDF} ; \
diff --git a/changelog b/changelog
index a509824..ecc0ca2 100644
--- a/changelog
+++ b/changelog
@@ -1,7 +1,9 @@
+20080610 tpd books/Makefile stop redundant builds
 20080610 tpd books/bookvol7 remove bookvol11 handling
 20080610 tpd books/bookvol11 update the Makefile 
 20080610 tpd Makefile add browserdir to SRCDIR variable
 20080610 tpd src/Makefile write browserdir stanze for bookvol11
+20080610 tpd src/hyper/bookvol11 removed
 20080609 tpd src/hyper/Makefile removed (use bookvol7)
 20080609 tpd src/hyper/addfile removed (use bookvol7)
 20080609 tpd src/hyper/bitmaps removed (use bookvol7)
